### Enumeration

# EDataServer SourceConnectionStatus

since: 3.16

#### Declaration

    enum EDataServer.SourceConnectionStatus

#### Description [src]

Connection status codes used by the `ESource` to indicate its connection state. This is used in combination with authentication of the ESource. For example, if there are multiple clients asking for a password and a user enters the password in one of them, then the status will change into ‘connecting’, which is a signal do close the password prompt in the other client, because the credentials had been already provided.

Available since: 3.16

#### Members

`E_SOURCE_CONNECTION_STATUS_DISCONNECTED`

  The source is currently disconnected from its (possibly remote) data store.

  - Value: `0`
  - Available since: 3.16
`E_SOURCE_CONNECTION_STATUS_AWAITING_CREDENTIALS`

  The source asked for credentials with a ‘credentials-required’ signal and is currently awaiting for them.

  - Value: `1`
  - Available since: 3.16
`E_SOURCE_CONNECTION_STATUS_SSL_FAILED`

  A user rejected SSL certificate trust for the connection.

  - Value: `2`
  - Available since: 3.16
`E_SOURCE_CONNECTION_STATUS_CONNECTING`

  The source is currently connecting to its (possibly remote) data store.

  - Value: `3`
  - Available since: 3.16
`E_SOURCE_CONNECTION_STATUS_CONNECTED`

  The source is currently connected to its (possibly remote) data store.

  - Value: `4`
  - Available since: 3.16